/* eslint-disable @typescript-eslint/no-var-requires */
const envSchema = require('./env');

const publicRuntimeConfigSchema = envSchema.pick({
  BASE_PATH: true,
  USE_DEV_COLORS: true,
});

const serverRuntimeConfigSchema = envSchema.pick({
  PORT: true,
  BASE_PATH: true,
  URL_CRM_GRAPHQL_DIRECT: true,
  URL_GET_USER_DIRECT: true,
  URL_CORE_FINGAP_DIRECT: true,
});

module.exports = {
  publicRuntimeConfigSchema,
  serverRuntimeConfigSchema,
};
